<ion-content [fullscreen]="true" class="main-bg-container">
  <!-- Fade Header with collapse header -->
  <ion-header collapse="fade" [translucent]="true">
    <ion-toolbar>
      <ion-buttons class="back-button">
        <ion-back-button slot="start" defaultHref="/admincal"></ion-back-button>
      </ion-buttons>
    </ion-toolbar>
    <ion-toolbar>
      <ion-title size="large">Erfassung Passagiere</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-card>
    <ion-card-header>
      <ion-card-subtitle>Erfassung übergesetzter Passagiere</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <div class="grid">
        <div class="grid-item">
          <ion-item>
            <ion-label>Fußgänger</ion-label>
            <ion-icon name="walk-outline" slot="start"></ion-icon>
            <ion-input [(ngModel)]="passengers.pedestrians" name="pedestrians" type="number" value="0" slot="end"></ion-input>
          </ion-item>
        </div>
        <div class="grid-item">
          <ion-item>
            <ion-label>Radfahrer</ion-label>
            <ion-icon name="bicycle-outline" slot="start"></ion-icon>
            <ion-input [(ngModel)]="passengers.cyclists" name="cyclists" type="number" value="0" slot="end"></ion-input>
          </ion-item>
        </div>
        <div class="grid-item">
          <ion-item>
            <ion-label>Rollstühle</ion-label>
            <ion-icon src="/assets/1608737_wheelchair_icon.svg" slot="start"></ion-icon>
            <ion-input [(ngModel)]="passengers.wheelchairs" name="wheelchairs" type="number" value="0" slot="end"></ion-input>
          </ion-item>
        </div>
      </div>
    </ion-card-content>
  </ion-card>
</ion-content>
<ion-footer>
  <ion-toolbar>
    <ion-button expand="block" (click)="setPassengers()">
      Übernehmen
    </ion-button>
  </ion-toolbar>
</ion-footer>

